<template>
  <div class="d-flex justify-space-between pa-2">
    <input type="text" v-model="searchInput" placeholder="Search by skills..."/>
    <div class="d-flex align-center">
      <h3 class="pr-2" style="cursor: pointer" @click="$router.push('/profile')">{{ actualUser.lastname }} {{ actualUser.firstname }}</h3>
      <v-img
          class="profile-image"
          :src="actualUser.image" width="50px" height="50px">
      </v-img>
    </div>
  </div>

  <div class="d-flex flex-row flex-wrap  pa-2">
    <v-row>
      <v-col
          v-for="user in filteredList"
          :key="user.id"
          :cols="4"
      >
        <v-card class="pa-4">
        <div class="d-flex flex-column align-center justify-center">
          <v-img
              class="profile-image"
              :src="user.image" width="100px">
          </v-img>
          <v-card-title>
            {{ user.lastname }} {{ user.firstname }}
          </v-card-title>
          <v-card-subtitle class="pb-4">
            {{ user.jobPosition }} | {{ user.location }}
          </v-card-subtitle>
          <div class="d-flex">
            <v-chip v-for="skill in user.skills" class="mb-4 mx-1">{{ skill }}</v-chip>
          </div>
          <v-btn color="primary" @click="$router.push(`/profile/${user.id}`)">View profile</v-btn>
        </div>
      </v-card>
      </v-col>
    </v-row>

  </div>

</template>

<script>
import usersData from '@/users.json';

export default {
  name: "MainView",
  data() {
    return {
      users: usersData.users,
      actualUser: usersData.users[0],
      searchInput: '',
    }
  },
  computed: {
    filteredList(){
      if(this.searchInput) {
        return this.users.filter(user => user.skills.some(elem => elem.toLowerCase() == this.searchInput.toLowerCase()));
      } else {
        return this.users;
      }
    }
  }
}
</script>

<style scoped>
input {
  width: 50%;
  padding: 10px 45px;
  background-size: 15px 15px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}
</style>